%global gittag v1.1.2
%global gitname svgSalamander
# spec file for package svgsalamander

Name:           svgsalamander
Version:        1.1.2
Release:        %mkrel 6
Summary:        An SVG engine for Java

Group:          Development/Java
License:        LGPLv2+ or BSD
URL:            https://github.com/blackears/svgSalamander/
Source0:        https://github.com/blackears/%{gitname}/archive/%{gittag}/%{gitname}-%{version}.tar.gz
# Pulled from version 1.1.1
Source1:        pom.xml
# The interesting code changes from release to the commit 658fd1a
# https://github.com/blackears/svgSalamander/compare/v1.1.2...658fd1a
Patch1:         svgsalamander-master.patch

BuildArch:      noarch
BuildRequires:  jpackage-utils 
BuildRequires:  maven-local
BuildRequires:  java-devel
BuildRequires:  javacc-maven-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  dos2unix
BuildRequires:  ant

Provides:       %{gitname}


%description
SVG Salamander is an SVG engine for Java that's designed to be small, fast, 
and allow programmers to use it with a minimum of fuss. It's in particular 
targeted for making it easy to integrate SVG into Java games and making it 
much easier for artists to design 2D game content - from rich interactive 
menus to charts and graphics to complex animations.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{gitname}-%{version}
# To apply patches, we need normal line endings
find . -name '*.java' -exec dos2unix '{}' \;
%patch -P 1 -p1

find . -name '*.jar' -exec rm -f '{}' \;
find . -name '*.class' -exec rm -f '{}' \;

# Remove DOS line endings
for file in www/docs/*.html www/docs/exampleCode/*.html; do
  sed 's|\r||g' $file >$file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done


%build
pushd svg-core
cp %SOURCE1 pom.xml
%mvn_file : %{name} svgSalamander svg-salamander
%mvn_alias : com.kitfox.svg:svg-salamander
%mvn_build
popd

%install
pushd svg-core
%mvn_install
popd

%files -f svg-core/.mfiles
%doc www/docs/{exampleCode/,use.html}
%doc www/license/*

%files javadoc -f svg-core/.mfiles-javadoc
%doc www/license/*




%changelog
* Mon May 27 2024 ns80 <ns80> 1.1.2-6.mga10
+ Revision: 2068107
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.1.2-5.mga9
+ Revision: 1828794
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 daviddavid <daviddavid> 1.1.2-4.mga8
+ Revision: 1620386
- Remove unnecessary dependency on parent POM
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1528517
- Mageia 8 Mass Rebuild

* Thu Aug 22 2019 daviddavid <daviddavid> 1.1.2-2.mga8
+ Revision: 1431336
- Backport upstream patches since release. The release introduced several
  regressions, which were slowly breaking JOSM (#1730554)

* Fri Mar 29 2019 daviddavid <daviddavid> 1.1.2-1.mga7
+ Revision: 1381145
- new version: 1.1.2, fixes CVE-2017-5617 (mga#24592)

* Wed Sep 19 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1276627
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 luigiwalser <luigiwalser> 1.1.1-2.mga6
+ Revision: 1106647
- add revised upstream patch to fix CVE-2017-5617

* Sat May 20 2017 neoclust <neoclust> 1.1.1-1.mga6
+ Revision: 1103527
- new version 1.1.1
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 0.1.39-1.mga6
+ Revision: 981435
- First rebuild of the java stack
- sync package svgsalamander with fedora (update to 0.1.39)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Dec 29 2014 daviddavid <daviddavid> 0.1.19-5.mga5
+ Revision: 807066
- rebuild against current java stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.1.19-2.mga4
+ Revision: 541260
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 0.1.19-1.mga4
+ Revision: 495403
- New version

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-3.mga3
+ Revision: 383829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 0.1.1-2.mga3
+ Revision: 292392
- imported package svgsalamander


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 02 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.1.1-1
- Update to release 0.1.1

* Sun Mar 11 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.1-1
- Update to release 0.1

* Tue Jan 17 2012 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-6.106svn
- Update to last svn snapshot - new method needed by another package : josm
- Build with maven (it was ant before)
- Remove docs rights fix (updated in upstream)

* Wed Oct 05 2011 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-5
- Add ant.jar in classpath

* Wed Oct 05 2011 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-4
- Fix stange permissions on svgsalamander-generate-tarball.sh

* Thu Sep 08 2011 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-3
- Method to set classpath changed

* Sun Aug 14 2011 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-2
- Add to maven
- Remove DOS end lines

* Sun Aug 14 2011 Cédric OLIVIER <cedric.olivier@free.fr> 0.0-1
- First release

